com.taosdata.jdbc.ws.stmt2.entity

## Class EWRawBlock

- java.lang.Object
- - com.taosdata.jdbc.ws.stmt2.entity.EWRawBlock

    public class EWRawBlock
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EWRawBlock(io.netty.buffer.ByteBuf byteBuf, int rowCount, SQLException lastError)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.netty.buffer.ByteBuf` `getByteBuf()`
`SQLException` `getLastError()`
`int` `getRowCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EWRawBlock

    public EWRawBlock(io.netty.buffer.ByteBuf byteBuf,
                      int rowCount,
                      SQLException lastError)

### Method Detail

#### getByteBuf

    public io.netty.buffer.ByteBuf getByteBuf()

#### getRowCount

    public int getRowCount()

#### getLastError

    public SQLException getLastError()